org.apache.felix.utils.log

## Class Logger

- java.lang.Object
- - org.apache.felix.utils.log.Logger

    public class Logger
    extends Object

Internal logger to be used in order to avoid a mandatory dependency on OSGi LogService. It first tries to log to a log service implementation if there is one available and then fallback to System out/err in case there is no log service available.

### Field Summary

Fields
`static int` `LOG_DEBUG`
`static int` `LOG_ERROR`
`static int` `LOG_INFO`
`static int` `LOG_WARNING`

### Constructor Summary

Constructors
Constructor and Description
`Logger(org.osgi.framework.BundleContext context)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `log(int level, String message)` Logs a message.
`void` `log(int level, String message, Throwable exception)` Logs a message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG_ERROR

    public static final int LOG_ERROR

See Also:
  Constant Field Values

#### LOG_WARNING

    public static final int LOG_WARNING

See Also:
  Constant Field Values

#### LOG_INFO

    public static final int LOG_INFO

See Also:
  Constant Field Values

#### LOG_DEBUG

    public static final int LOG_DEBUG

See Also:
  Constant Field Values

### Constructor Detail

#### Logger

    public Logger(org.osgi.framework.BundleContext context)

Constructor.

Parameters:
  `context` - bundle context

### Method Detail

#### log

    public void log(int level,
                    String message)

Logs a message.

Parameters:
  `level` - The severity of the message. T
  `message` - Human readable string describing the condition or `null`.
See Also:
  `LogService.log(int, String)`

#### log

    public void log(int level,
                    String message,
                    Throwable exception)

Logs a message.

Parameters:
  `level` - The severity of the message. T
  `message` - Human readable string describing the condition or `null`.
  `exception` - The exception that reflects the condition or `null`.
See Also:
  `LogService.log(int, String, Throwable)`